Package org.eclipse.emf.cdo.security

## Interface SecurityItemProvider

- All Known Subinterfaces:
    `Directory`, `InternalSecurityManager`, `ISecurityManager`, `Realm`, `SecurityItemContainer`
  All Known Implementing Classes:
    `DirectoryImpl`, `RealmImpl`

      public interface SecurityItemProvider

  Provides `security items` such as `users` or `roles` by their given IDs.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Group` | `getGroup​(java.lang.String id)` |
    `Role` | `getRole​(java.lang.String id)` |
    `User` | `getUser​(java.lang.String id)` |

- - ### Method Detail

    - #### getRole

          Role getRole​(java.lang.String id)

    - #### getGroup

          Group getGroup​(java.lang.String id)

    - #### getUser

          User getUser​(java.lang.String id)